KeyEnvKeyEnv
API Reference

Users

User management

Users

User management

Get current user

GET /api/v1/users/me

Returns the currently authenticated user's profile

Operation ID: getCurrentUser · Authentication: Authorization: Bearer <token>

Responses

StatusDescriptionBody
200User profileUser
401Authentication requiredError
404Resource not foundError

Response body (200)

FieldTypeDescription
idstring (uuid)
clerk_idstring
emailstring (email)
namestring
avatar_urlstring (uri)
auth_typeenum (user, service_token)Authentication type. Only present for service token auth.
team_idstring (uuid)Team ID. Only present for service token auth.
project_idsstring (uuid)[]Project IDs the token has access to. Only present for service token auth. Tokens can access multiple projects.
scopesstring[]Token scopes (e.g., read, write). Only present for service token auth.
created_atstring (date-time)

Example

curl -X GET "https://api.keyenv.dev/api/v1/users/me" \
  -H "Authorization: Bearer $KEYENV_TOKEN"

On this page